need to select a district